Kerbal Space Program - Bug #9643

Textboxes not working
05/01/2016 05:49 PM - shederman

Status: Needs Clarification Start date: 05/01/2016
Severity: High % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.3.1 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

OSX El Capitan

KSP 1.1.2

Entry into many test boxes exhibits strange behaviour

Backspace skips a character and deletes a character

Character insertion occurs before the insertion point, meaning all writing is done backwards, e.g. "Abc" comes out "cbA"
Backspace doesn't delete the last character, making it impossible to write what you want, even accounting for backwards writing
above

Backspacing over overwriting selected text just moves the insertion point to the start of the text

History

#1 - 05/07/2016 09:56 PM - Navi1982

- Status changed from New to Need More Info

It seems that you have a system configured for right-to-left languages. Perhaps this is a bug of Unity... but still need more info.

#2 - 05/09/2016 12:14 PM - shederman
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

No, | do not. My system is left to right.

#3 - 05/09/2016 04:00 PM - Padishar
- Status changed from Updated to Need More Info
- % Done changed from 10 to 0

As far as I'm aware you are the only person to have reported this so the problem is most likely to be caused by some quirk of your machine setup.

This report still needs more info as described in the various bug posting guidelines. Log files, screenshots, accurate description (e.g. give one definite
example of a text box that does this) etc.

#4 - 06/14/2016 02:23 AM - gposton
| can confirm this issue.

Mac 10.10.5

KSP 1.1.2

Plugins installed: interstellar, remote tech

In most cases text input works fine.... but in some cases input becomes reversed and this is unrecoverable without closing KSP and re-opening. This
effects naming ships as well as naming flags (I assume all text input is effected, but that's what I've seen so far).

#5 - 07/17/2016 09:55 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
#6 - 07/18/2017 01:25 AM - jcreighton
- File test.gif added

Came across this bug twice now so found this bugtracker to report here. Seems intermittent: not present when first started and unsure what triggers it
so difficult to reproduce. Restart fixes it.

lllustrated with attached gif; also put on imgur in case the attached doesn't animate: http://imgur.com/a/9FCog
EDIT: ATTACHED IMAGE APPEARS GLITCHED; IMGUR IS NOT.

Field has "test" already present.
Cursor placed at end and attempted backspacing over all text; cursor hops.
Attempt at typing "This is a test" and text comes out in reverse due to cursor hops.

0SX 10.11.16

KSP 1.3.0.1804 (en-us)

Unity Player V 5.4.0p4

Thanks.

#7 - 01/01/2018 11:18 PM - shederman

- Version changed from 1.1.2 to 1.3.1

Still in 1.3.1. Seems to be caused when you go back and try and edit text, e.g. clicking behind the end of the text, then backspace and edit. Not
always, but once it starts hapenning you need to restart in order to be able to edit text, Highly irritating. Cannot believe your QA haven't found this yet!

Files

test.gif 217 KB 07/18/2017 jcreighton
